Bug 1462419 - SELinux is preventing php-fpm from using the 'execmem' accesses on a process.
SELinux is preventing php-fpm from using the 'execmem' accesses on a process.
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:73bc6ad4177b31758c84f61e070...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-17 08:26 EDT by Mikhail
Modified: 2017-06-17 08:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2017-06-17 08:26:14 EDT
Description of problem:
SELinux is preventing php-fpm from using the 'execmem' accesses on a process.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow httpd to execmem
Then you must tell SELinux about this by enabling the 'httpd_execmem' boolean.

Do
setsebool -P httpd_execmem 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that php-fpm should be allowed execmem access on processes labeled httpd_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'php-fpm' --raw | audit2allow -M my-phpfpm
# semodule -X 300 -i my-phpfpm.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:system_r:httpd_t:s0
Target Objects                Unknown [ process ]
Source                        php-fpm
Source Path                   php-fpm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.4-300.fc26.x86_64+debug #1
                              SMP Wed Jun 7 17:49:02 UTC 2017 x86_64 x86_64
Alert Count                   114
First Seen                    2017-04-15 21:51:16 +05
Last Seen                     2017-06-14 20:31:35 +05
Local ID                      371d46e9-4971-4d96-88a1-9f7897e6435d

Raw Audit Messages
type=AVC msg=audit(1497454295.35:131): avc:  denied  { execmem } for  pid=869 comm="php-fpm" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_t:s0 tclass=process permissive=0


Hash: php-fpm,httpd_t,httpd_t,process,execmem


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.5-300.fc26.x86_64+debug
type:           libreport

Potential duplicate: bug 1380930

Note You need to log in before you can comment on or make changes to this bug.